> For the complete documentation index, see [llms.txt](https://apidocs.arionbanki.is/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.arionbanki.is/open-data/api-reference/stefnirs-funds.md).

# Stefnir's Funds

Get information on Stefnir's funds.

## GET /api/v1/funds/info

> Returns basic information about funds.

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"servers":[{"url":"https://apigw.arionbanki.is/investments","description":"Funds Gateway"}],"security":[{"Curity":["financialmarketsapi.readwrite","financialmarketsapi.read"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-token","scopes":{"financialmarketsapi.readwrite":"Access to FinancialMarkets WebApi readwrite","financialmarketsapi.read":"Access to FinancialMarkets WebApi read"}}}}},"schemas":{"InfoResult":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"name":{"type":"string","description":"Fund name","nullable":true},"buyRate":{"type":"number","description":"Buy rate of fund","format":"double"},"sellRate":{"type":"number","description":"Sell rate of fund","format":"double"},"currency":{"type":"string","description":"Currency of fund","nullable":true},"date":{"type":"string","description":"Date of price","format":"date-time"},"priceDifference":{"type":"number","description":"Price change","format":"double"},"summaryRiskIndicator":{"type":"number","description":"Fund summary risk indicator","format":"double"},"fundClassName":{"type":"string","description":"Fund class name","nullable":true},"fundClassId":{"type":"integer","description":"Fund class id","format":"int32"},"isSpecializedInvestmentFund":{"type":"boolean","description":"Is fund specialized investment"},"investmentTime":{"type":"integer","description":"Fund investment time","format":"int32"},"bloombergTicker":{"type":"string","description":"Bloomberg id","nullable":true}},"additionalProperties":false,"description":"Basic info about fund"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/funds/info":{"get":{"tags":["Funds"],"summary":"Returns basic information about funds.","parameters":[{"name":"date","in":"query","description":"The date of funds information. This is optional param","schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InfoResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InfoResult"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## GET /api/v1/funds/annualreturns

> Returns the annual return of specified funds.

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"servers":[{"url":"https://apigw.arionbanki.is/investments","description":"Funds Gateway"}],"security":[{"Curity":["financialmarketsapi.readwrite","financialmarketsapi.read"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-token","scopes":{"financialmarketsapi.readwrite":"Access to FinancialMarkets WebApi readwrite","financialmarketsapi.read":"Access to FinancialMarkets WebApi read"}}}}},"schemas":{"AnnualReturnResult":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"currency":{"type":"string","description":"Currency of fund","nullable":true},"year":{"type":"integer","description":"Year of annual return of fund","format":"int32"},"return":{"type":"number","description":"Return value","format":"double"},"realReturn":{"type":"number","description":"Real return value","format":"double"}},"additionalProperties":false,"description":"Anuual return return result."},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/funds/annualreturns":{"get":{"tags":["Funds"],"summary":"Returns the annual return of specified funds.","parameters":[{"name":"fundIds","in":"query","description":"A list of fund Id's for which to retrieve annual returns, year (optional) - The year for which to retrieve annual returns.","schema":{"type":"array","items":{"type":"integer","format":"int32"}}},{"name":"year","in":"query","description":"Year for annual returns. This is optional param","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AnnualReturnResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AnnualReturnResult"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## GET /api/v1/funds/dailyreturns

> Returns the daily return of specified funds.

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"servers":[{"url":"https://apigw.arionbanki.is/investments","description":"Funds Gateway"}],"security":[{"Curity":["financialmarketsapi.readwrite","financialmarketsapi.read"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-token","scopes":{"financialmarketsapi.readwrite":"Access to FinancialMarkets WebApi readwrite","financialmarketsapi.read":"Access to FinancialMarkets WebApi read"}}}}},"schemas":{"DailyReturnResult":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"dailyReturn":{"$ref":"#/components/schemas/DailyFundsReturn"},"annualReturns":{"type":"array","items":{"$ref":"#/components/schemas/AnnualReturnResult"},"description":"Collection of annual return result","nullable":true}},"additionalProperties":false,"description":"Daily return result"},"DailyFundsReturn":{"type":"object","properties":{"refDate":{"type":"string","description":"Reference date","format":"date-time"},"fundId":{"type":"integer","description":"Fund id","format":"int32"},"currency":{"type":"string","description":"Currency","nullable":true},"return1Day":{"type":"number","description":"Return from last day","format":"double"},"return1Week":{"type":"number","description":"Return from last week","format":"double"},"return1Month":{"type":"number","description":"Return from last month","format":"double"},"return3Months":{"type":"number","description":"Return from last three months","format":"double"},"return6Months":{"type":"number","description":"Return from last six months","format":"double"},"return1Year":{"type":"number","description":"Return from last one year","format":"double"},"return2Years":{"type":"number","description":"Retyrb from last two years","format":"double"},"return3Years":{"type":"number","description":"Return from last three years","format":"double"},"return4Years":{"type":"number","description":"Return from last four years","format":"double"},"return5Years":{"type":"number","description":"Return from last five years","format":"double"},"return10Years":{"type":"number","description":"Return from last ten years","format":"double"},"returnYearToDay":{"type":"number","description":"Return for the last year from today","format":"double"},"return2Days":{"type":"number","description":"Return from last two days","format":"double"},"repDate":{"type":"string","description":"Report date","format":"date-time"},"returnFromBeginning":{"type":"number","description":"Return for beginning","format":"double"},"actualReturn1Month":{"type":"number","description":"Actual return from last one month","format":"double"},"actualReturn3Months":{"type":"number","description":"Actual return from last three months","format":"double"},"actualReturn6Months":{"type":"number","description":"Actual return from last six months","format":"double"},"actualReturn1Year":{"type":"number","description":"Actual return from last one year","format":"double"},"actualReturn2Years":{"type":"number","description":"Actual return from last two years","format":"double"},"actualReturn3Years":{"type":"number","description":"Actua return from last three years","format":"double"},"actualReturn4Years":{"type":"number","description":"Actual return from last four years","format":"double"},"actualReturn5Years":{"type":"number","description":"Actual return from last five years","format":"double"},"actualReturn10Years":{"type":"number","description":"Actual return from last ten years","format":"double"},"actualReturnYearToDay":{"type":"number","description":"Actual return for the last year from today","format":"double"},"actualReturnFromBeginning":{"type":"number","description":"Actual return from beginning","format":"double"}},"additionalProperties":false,"description":"Dialy fund return"},"AnnualReturnResult":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"currency":{"type":"string","description":"Currency of fund","nullable":true},"year":{"type":"integer","description":"Year of annual return of fund","format":"int32"},"return":{"type":"number","description":"Return value","format":"double"},"realReturn":{"type":"number","description":"Real return value","format":"double"}},"additionalProperties":false,"description":"Anuual return return result."},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/funds/dailyreturns":{"get":{"tags":["Funds"],"summary":"Returns the daily return of specified funds.","parameters":[{"name":"fundIds","in":"query","description":"A list of fund Id's for which to retrieve daily returns.","schema":{"type":"array","items":{"type":"integer","format":"int32"}}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DailyReturnResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DailyReturnResult"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## GET /api/v1/funds/{fundId}/returnbydates

> Returns the price of a specified fund.

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"servers":[{"url":"https://apigw.arionbanki.is/investments","description":"Funds Gateway"}],"security":[{"Curity":["financialmarketsapi.readwrite","financialmarketsapi.read"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-token","scopes":{"financialmarketsapi.readwrite":"Access to FinancialMarkets WebApi readwrite","financialmarketsapi.read":"Access to FinancialMarkets WebApi read"}}}}},"schemas":{"ReturnByDatesResult":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"dateFrom":{"type":"string","description":"Lower date to calculate the difference","format":"date-time"},"rateFrom":{"type":"number","description":"Rate of fund of dateFrom date","format":"double"},"dateTo":{"type":"string","description":"Upper date to calculate the difference","format":"date-time"},"rateTo":{"type":"number","description":"Rate of fund of dateTo date","format":"double"},"diff":{"type":"number","description":"Diffrence between rateFrom and rateTo","format":"double"},"realReturn":{"type":"number","description":"Real return of fund","format":"double"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/funds/{fundId}/returnbydates":{"get":{"tags":["Funds"],"summary":"Returns the price of a specified fund.","parameters":[{"name":"fundId","in":"path","description":"The Id of the fund for which to retrieve returns","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"dateFrom","in":"query","description":"The start date for the period","schema":{"type":"string","format":"date-time"}},{"name":"dateTo","in":"query","description":"The end date for the period","schema":{"type":"string","format":"date-time"}},{"name":"currency","in":"query","description":"The currency of fund","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReturnByDatesResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReturnByDatesResult"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## GET /api/v1/funds/prices

> Returns the prices

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"servers":[{"url":"https://apigw.arionbanki.is/investments","description":"Funds Gateway"}],"security":[{"Curity":["financialmarketsapi.readwrite","financialmarketsapi.read"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-token","scopes":{"financialmarketsapi.readwrite":"Access to FinancialMarkets WebApi readwrite","financialmarketsapi.read":"Access to FinancialMarkets WebApi read"}}}}},"schemas":{"PriceResult":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"bloombergTicker":{"type":"string","description":"Bloomberg id","nullable":true},"name":{"type":"string","description":"Name of fund","nullable":true},"purchaseRate":{"type":"number","description":"Purches rate of fund","format":"double"},"sellRate":{"type":"number","description":"Sell rate of fund","format":"double","nullable":true},"currency":{"type":"string","description":"Currency of fund","nullable":true},"date":{"type":"string","description":"Price date","format":"date-time"},"currencyRateBuy":{"type":"number","description":"Currency of buy rate","format":"double"},"currencyRateSell":{"type":"number","description":"Currency of sell rate","format":"double","nullable":true},"exchangeRateCurrency":{"type":"number","description":"Value of exchange rate in currency","format":"double"}},"additionalProperties":false,"description":"Fund price"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/funds/prices":{"get":{"tags":["Funds"],"summary":"Returns the prices","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PriceResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PriceResult"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## GET /api/v1/funds/{fundId}/prices

> Returns the prices of a specified fund

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"servers":[{"url":"https://apigw.arionbanki.is/investments","description":"Funds Gateway"}],"security":[{"Curity":["financialmarketsapi.readwrite","financialmarketsapi.read"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-token","scopes":{"financialmarketsapi.readwrite":"Access to FinancialMarkets WebApi readwrite","financialmarketsapi.read":"Access to FinancialMarkets WebApi read"}}}}},"schemas":{"PriceResult":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"bloombergTicker":{"type":"string","description":"Bloomberg id","nullable":true},"name":{"type":"string","description":"Name of fund","nullable":true},"purchaseRate":{"type":"number","description":"Purches rate of fund","format":"double"},"sellRate":{"type":"number","description":"Sell rate of fund","format":"double","nullable":true},"currency":{"type":"string","description":"Currency of fund","nullable":true},"date":{"type":"string","description":"Price date","format":"date-time"},"currencyRateBuy":{"type":"number","description":"Currency of buy rate","format":"double"},"currencyRateSell":{"type":"number","description":"Currency of sell rate","format":"double","nullable":true},"exchangeRateCurrency":{"type":"number","description":"Value of exchange rate in currency","format":"double"}},"additionalProperties":false,"description":"Fund price"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/funds/{fundId}/prices":{"get":{"tags":["Funds"],"summary":"Returns the prices of a specified fund","parameters":[{"name":"fundId","in":"path","description":"The Id of the fund for which to retrieve the price.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PriceResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PriceResult"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## GET /api/v1/funds/funddetails

> Returns detailed information about specified funds.

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"servers":[{"url":"https://apigw.arionbanki.is/investments","description":"Funds Gateway"}],"security":[{"Curity":["financialmarketsapi.readwrite","financialmarketsapi.read"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-token","scopes":{"financialmarketsapi.readwrite":"Access to FinancialMarkets WebApi readwrite","financialmarketsapi.read":"Access to FinancialMarkets WebApi read"}}}}},"schemas":{"FundDetailsResult":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"fundName":{"type":"string","description":"Fund name","nullable":true},"fundType":{"type":"string","description":"Type of the fund","nullable":true},"assetClass":{"type":"string","description":"Asset class of the fund","nullable":true},"operationCompany":{"type":"string","description":"Operation company of fund","nullable":true},"investmentManager":{"type":"string","description":"Investment manager","nullable":true},"fundManager":{"type":"string","description":"Fund manager","nullable":true},"settlementPeriod":{"type":"string","description":"Settlement period","nullable":true},"custodian":{"type":"string","description":"Fund custodian","nullable":true},"summaryRiskIndicator":{"type":"string","description":"Indicator of risk summary","nullable":true},"isin":{"type":"string","description":"ISIN","nullable":true},"bloombergTicker":{"type":"string","description":"Bloomberg id","nullable":true},"leiNumber":{"type":"string","description":"LEI number","nullable":true},"inceptionDate":{"type":"string","description":"Inception date","nullable":true},"currency":{"type":"string","description":"Currency of fund","nullable":true},"managementFee":{"type":"string","description":"Management fee","nullable":true},"salesCommission":{"type":"string","description":"Sales commision","nullable":true},"tradingFee":{"type":"string","description":"Trading fee","nullable":true},"tradingDiscount":{"type":"string","description":"Trading discount","nullable":true},"operatingHours":{"type":"string","description":"Operating hours of fund trading","nullable":true},"minimumAmount":{"type":"string","description":"Minimal amount of investment","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/funds/funddetails":{"get":{"tags":["Funds"],"summary":"Returns detailed information about specified funds.","parameters":[{"name":"fundIds","in":"query","description":"A list of fund Id's for which to retrieve details.","schema":{"type":"array","items":{"type":"integer","format":"int32"}}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FundDetailsResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FundDetailsResult"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## GET /api/v1/funds/mostpopular

> Returns the top 3 most popular funds in number of new investors in the last year.

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"servers":[{"url":"https://apigw.arionbanki.is/investments","description":"Funds Gateway"}],"security":[{"Curity":["financialmarketsapi.readwrite","financialmarketsapi.read"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-token","scopes":{"financialmarketsapi.readwrite":"Access to FinancialMarkets WebApi readwrite","financialmarketsapi.read":"Access to FinancialMarkets WebApi read"}}}}},"schemas":{"PopularFundResult":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"order":{"type":"integer","description":"Order of popular fund. Higher equals more popular","format":"int32"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/funds/mostpopular":{"get":{"tags":["Funds"],"summary":"Returns the top 3 most popular funds in number of new investors in the last year.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PopularFundResult"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PopularFundResult"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## GET /api/v1/funds/funddetailinfo

> Returns detailed information about all funds.

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"servers":[{"url":"https://apigw.arionbanki.is/investments","description":"Funds Gateway"}],"security":[{"Curity":["financialmarketsapi.readwrite","financialmarketsapi.read"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-token","scopes":{"financialmarketsapi.readwrite":"Access to FinancialMarkets WebApi readwrite","financialmarketsapi.read":"Access to FinancialMarkets WebApi read"}}}}},"schemas":{"FundInfo":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"name":{"type":"string","description":"Fund name","nullable":true},"currencyId":{"type":"integer","description":"Currency id of fund","format":"int32"},"daysToSettle":{"type":"integer","description":"Days to settle","format":"int32"},"isDealingPrice":{"type":"boolean","description":"Is dealing price"},"isActivity":{"type":"boolean","description":"Is fund is active"},"price":{"type":"number","description":"Price of fund","format":"double"},"buyPrice":{"type":"number","description":"Buy price of fund","format":"double"},"sellPrice":{"type":"number","description":"Sell price of fund","format":"double"},"minimumAmount":{"type":"number","description":"Minium amount","format":"double"},"minimumAmountCurrency":{"type":"string","description":"Minimum amount in currency","nullable":true},"isOnlineTraded":{"type":"boolean","description":"Is online traded"},"cutoffTime":{"type":"string","description":"Cut off time of fund","nullable":true},"email":{"type":"string","description":"Email","nullable":true},"isShortSpan":{"type":"boolean","description":"Is short span"},"manager":{"type":"string","description":"Manager of fund","nullable":true}},"additionalProperties":false,"description":"Fund information"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/funds/funddetailinfo":{"get":{"tags":["Funds"],"summary":"Returns detailed information about all funds.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FundInfo"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FundInfo"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## GET /api/v1/funds/sizes

> Returns the size of all funds

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"servers":[{"url":"https://apigw.arionbanki.is/investments","description":"Funds Gateway"}],"security":[{"Curity":["financialmarketsapi.readwrite","financialmarketsapi.read"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-token","scopes":{"financialmarketsapi.readwrite":"Access to FinancialMarkets WebApi readwrite","financialmarketsapi.read":"Access to FinancialMarkets WebApi read"}}}}},"schemas":{"FundSize":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"size":{"type":"number","description":"Size of fund","format":"double"},"marketValue":{"type":"number","description":"Martek value of fund","format":"double"},"currency":{"type":"string","description":"Currency of fund","nullable":true},"lastUpdated":{"type":"string","description":"Last update of fund size","format":"date-time"}},"additionalProperties":false,"description":"Fund size"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/funds/sizes":{"get":{"tags":["Funds"],"summary":"Returns the size of all funds","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FundSize"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FundSize"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## GET /api/v1/funds/{fundId}/size

> Returns the size of a specific fund

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"servers":[{"url":"https://apigw.arionbanki.is/investments","description":"Funds Gateway"}],"security":[{"Curity":["financialmarketsapi.readwrite","financialmarketsapi.read"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-token","scopes":{"financialmarketsapi.readwrite":"Access to FinancialMarkets WebApi readwrite","financialmarketsapi.read":"Access to FinancialMarkets WebApi read"}}}}},"schemas":{"FundSize":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"size":{"type":"number","description":"Size of fund","format":"double"},"marketValue":{"type":"number","description":"Martek value of fund","format":"double"},"currency":{"type":"string","description":"Currency of fund","nullable":true},"lastUpdated":{"type":"string","description":"Last update of fund size","format":"date-time"}},"additionalProperties":false,"description":"Fund size"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/funds/{fundId}/size":{"get":{"tags":["Funds"],"summary":"Returns the size of a specific fund","parameters":[{"name":"fundId","in":"path","description":"The Id of the fund for which to retrieve the size.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundSize"}},"text/json":{"schema":{"$ref":"#/components/schemas/FundSize"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## GET /api/v1/funds/{fundId}/positiontop10

> Returns the top 10 positions of a specified fund.

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"servers":[{"url":"https://apigw.arionbanki.is/investments","description":"Funds Gateway"}],"security":[{"Curity":["financialmarketsapi.readwrite","financialmarketsapi.read"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-token","scopes":{"financialmarketsapi.readwrite":"Access to FinancialMarkets WebApi readwrite","financialmarketsapi.read":"Access to FinancialMarkets WebApi read"}}}}},"schemas":{"Position":{"type":"object","properties":{"ratioOfFundAsset":{"type":"number","description":"Ratio of fund asset","format":"double"},"amountTotalIsk":{"type":"number","description":"Total amount in ISK","format":"double"},"positionName":{"type":"string","description":"Position name","nullable":true},"calculateDate":{"type":"string","description":"Calculate date","format":"date-time"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/funds/{fundId}/positiontop10":{"get":{"tags":["Funds"],"summary":"Returns the top 10 positions of a specified fund.","parameters":[{"name":"fundId","in":"path","description":"The Id of the fund for which to retrieve position","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"positionDate","in":"query","description":"The date for which to retrieve positions","schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Position"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Position"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## GET /api/v1/funds/{fundId}/historicalprices

> Returns the historical prices of a specified fund between two dates.

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"servers":[{"url":"https://apigw.arionbanki.is/investments","description":"Funds Gateway"}],"security":[{"Curity":["financialmarketsapi.readwrite","financialmarketsapi.read"]}],"components":{"securitySchemes":{"Curity":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-authorize","tokenUrl":"https://curity-prod.arionbanki.is/oauth/v2/oauth-token","scopes":{"financialmarketsapi.readwrite":"Access to FinancialMarkets WebApi readwrite","financialmarketsapi.read":"Access to FinancialMarkets WebApi read"}}}}},"schemas":{"HistoricalPrice":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"date":{"type":"string","description":"Date of price","format":"date-time"},"price":{"type":"number","description":"Price of fund for date","format":"double"},"priceChangeInPercentage":{"type":"number","description":"Price change in percentage","format":"double"},"purchaseRate":{"type":"number","description":"Price of purchase rate","format":"double","nullable":true},"sellRate":{"type":"number","description":"Price of sell rate","format":"double","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/funds/{fundId}/historicalprices":{"get":{"tags":["Funds"],"summary":"Returns the historical prices of a specified fund between two dates.","parameters":[{"name":"fundId","in":"path","description":"The Id of the fund for which to retrieve historical prices","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"dateFrom","in":"query","description":"The start date for the period. This is optional param","schema":{"type":"string","format":"date-time"}},{"name":"dateTo","in":"query","description":"The end date for the period. This is optional param","schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HistoricalPrice"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HistoricalPrice"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## The AnnualReturnResult object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"AnnualReturnResult":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"currency":{"type":"string","description":"Currency of fund","nullable":true},"year":{"type":"integer","description":"Year of annual return of fund","format":"int32"},"return":{"type":"number","description":"Return value","format":"double"},"realReturn":{"type":"number","description":"Real return value","format":"double"}},"additionalProperties":false,"description":"Anuual return return result."}}}}
```

## The ArionMisFundResult object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"ArionMisFundResult":{"type":"object","properties":{"fundId":{"type":"integer","format":"int32"},"partNo":{"type":"integer","format":"int32"},"fundName":{"type":"string","nullable":true},"price":{"type":"number","format":"double"},"size":{"type":"number","format":"double"},"dateRate":{"type":"string","format":"date-time"},"dateOfLastCalculation":{"type":"string","format":"date-time"},"fundShortName":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## The Contract object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"Contract":{"type":"object","properties":{"contractId":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"broker":{"type":"string","nullable":true},"dateCreated":{"type":"string","format":"date-time"},"settlementDate":{"type":"string","format":"date-time"},"maturityDate":{"type":"string","format":"date-time"},"tradeDate":{"type":"string","format":"date-time"},"finalInterestDate":{"type":"string","format":"date-time"},"expiryDate":{"type":"string","format":"date-time"},"side":{"type":"string","nullable":true},"currency":{"type":"string","nullable":true},"currencyRate":{"type":"number","format":"double","nullable":true},"symbol":{"type":"string","nullable":true},"quantity":{"type":"number","format":"double","nullable":true},"cleanPrice":{"type":"number","format":"double","nullable":true},"dirtyPrice":{"type":"number","format":"double","nullable":true},"collateralMargin":{"type":"number","format":"double","nullable":true},"signed":{"type":"boolean"},"signedReceipt":{"type":"boolean"},"interests":{"type":"number","format":"double","nullable":true},"interestFee":{"type":"number","format":"double","nullable":true},"openingFee":{"type":"number","format":"double","nullable":true},"executionFee":{"type":"number","format":"double","nullable":true},"transactionFee":{"type":"number","format":"double","nullable":true},"otherFee":{"type":"number","format":"double","nullable":true},"changeOfTermsFee":{"type":"number","format":"double","nullable":true},"closingAmount":{"type":"number","format":"double","nullable":true},"closingCleanPrice":{"type":"number","format":"double","nullable":true},"closingDate":{"type":"string","format":"date-time","nullable":true},"closingDirtyPrice":{"type":"number","format":"double","nullable":true},"closingDirtyPriceInclFee":{"type":"number","format":"double","nullable":true},"closingFee":{"type":"number","format":"double","nullable":true},"closingForwardPayments":{"type":"number","format":"double","nullable":true},"closingInterestAmount":{"type":"number","format":"double","nullable":true},"closingNetValue":{"type":"number","format":"double","nullable":true},"closingPnL":{"type":"number","format":"double","nullable":true},"closingQuantity":{"type":"number","format":"double","nullable":true},"closingSettlementDate":{"type":"string","format":"date-time","nullable":true},"closingTaxAmount":{"type":"number","format":"double","nullable":true},"closingTaxPercentage":{"type":"number","format":"double","nullable":true},"pnl":{"type":"number","format":"double","nullable":true},"startPrice":{"type":"number","format":"double","nullable":true},"currentPrice":{"type":"number","format":"double","nullable":true},"loanObligation":{"type":"number","format":"double","nullable":true},"shareObligation":{"type":"number","format":"double","nullable":true},"contractAmount":{"type":"number","format":"double","nullable":true},"forwardPrice":{"type":"number","format":"double","nullable":true},"interestAmount":{"type":"number","format":"double","nullable":true},"isBond":{"type":"boolean"},"lastDirtyPrice":{"type":"number","format":"double","nullable":true},"lastCleanPrice":{"type":"number","format":"double","nullable":true},"calculatedExecutionFee":{"type":"number","format":"double","nullable":true,"readOnly":true},"calculatedInterestFeeBpsInPercentage":{"type":"number","format":"double","nullable":true,"readOnly":true}},"additionalProperties":false}}}}
```

## The DailyFundsReturn object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"DailyFundsReturn":{"type":"object","properties":{"refDate":{"type":"string","description":"Reference date","format":"date-time"},"fundId":{"type":"integer","description":"Fund id","format":"int32"},"currency":{"type":"string","description":"Currency","nullable":true},"return1Day":{"type":"number","description":"Return from last day","format":"double"},"return1Week":{"type":"number","description":"Return from last week","format":"double"},"return1Month":{"type":"number","description":"Return from last month","format":"double"},"return3Months":{"type":"number","description":"Return from last three months","format":"double"},"return6Months":{"type":"number","description":"Return from last six months","format":"double"},"return1Year":{"type":"number","description":"Return from last one year","format":"double"},"return2Years":{"type":"number","description":"Retyrb from last two years","format":"double"},"return3Years":{"type":"number","description":"Return from last three years","format":"double"},"return4Years":{"type":"number","description":"Return from last four years","format":"double"},"return5Years":{"type":"number","description":"Return from last five years","format":"double"},"return10Years":{"type":"number","description":"Return from last ten years","format":"double"},"returnYearToDay":{"type":"number","description":"Return for the last year from today","format":"double"},"return2Days":{"type":"number","description":"Return from last two days","format":"double"},"repDate":{"type":"string","description":"Report date","format":"date-time"},"returnFromBeginning":{"type":"number","description":"Return for beginning","format":"double"},"actualReturn1Month":{"type":"number","description":"Actual return from last one month","format":"double"},"actualReturn3Months":{"type":"number","description":"Actual return from last three months","format":"double"},"actualReturn6Months":{"type":"number","description":"Actual return from last six months","format":"double"},"actualReturn1Year":{"type":"number","description":"Actual return from last one year","format":"double"},"actualReturn2Years":{"type":"number","description":"Actual return from last two years","format":"double"},"actualReturn3Years":{"type":"number","description":"Actua return from last three years","format":"double"},"actualReturn4Years":{"type":"number","description":"Actual return from last four years","format":"double"},"actualReturn5Years":{"type":"number","description":"Actual return from last five years","format":"double"},"actualReturn10Years":{"type":"number","description":"Actual return from last ten years","format":"double"},"actualReturnYearToDay":{"type":"number","description":"Actual return for the last year from today","format":"double"},"actualReturnFromBeginning":{"type":"number","description":"Actual return from beginning","format":"double"}},"additionalProperties":false,"description":"Dialy fund return"}}}}
```

## The DailyReturnResult object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"DailyReturnResult":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"dailyReturn":{"$ref":"#/components/schemas/DailyFundsReturn"},"annualReturns":{"type":"array","items":{"$ref":"#/components/schemas/AnnualReturnResult"},"description":"Collection of annual return result","nullable":true}},"additionalProperties":false,"description":"Daily return result"},"DailyFundsReturn":{"type":"object","properties":{"refDate":{"type":"string","description":"Reference date","format":"date-time"},"fundId":{"type":"integer","description":"Fund id","format":"int32"},"currency":{"type":"string","description":"Currency","nullable":true},"return1Day":{"type":"number","description":"Return from last day","format":"double"},"return1Week":{"type":"number","description":"Return from last week","format":"double"},"return1Month":{"type":"number","description":"Return from last month","format":"double"},"return3Months":{"type":"number","description":"Return from last three months","format":"double"},"return6Months":{"type":"number","description":"Return from last six months","format":"double"},"return1Year":{"type":"number","description":"Return from last one year","format":"double"},"return2Years":{"type":"number","description":"Retyrb from last two years","format":"double"},"return3Years":{"type":"number","description":"Return from last three years","format":"double"},"return4Years":{"type":"number","description":"Return from last four years","format":"double"},"return5Years":{"type":"number","description":"Return from last five years","format":"double"},"return10Years":{"type":"number","description":"Return from last ten years","format":"double"},"returnYearToDay":{"type":"number","description":"Return for the last year from today","format":"double"},"return2Days":{"type":"number","description":"Return from last two days","format":"double"},"repDate":{"type":"string","description":"Report date","format":"date-time"},"returnFromBeginning":{"type":"number","description":"Return for beginning","format":"double"},"actualReturn1Month":{"type":"number","description":"Actual return from last one month","format":"double"},"actualReturn3Months":{"type":"number","description":"Actual return from last three months","format":"double"},"actualReturn6Months":{"type":"number","description":"Actual return from last six months","format":"double"},"actualReturn1Year":{"type":"number","description":"Actual return from last one year","format":"double"},"actualReturn2Years":{"type":"number","description":"Actual return from last two years","format":"double"},"actualReturn3Years":{"type":"number","description":"Actua return from last three years","format":"double"},"actualReturn4Years":{"type":"number","description":"Actual return from last four years","format":"double"},"actualReturn5Years":{"type":"number","description":"Actual return from last five years","format":"double"},"actualReturn10Years":{"type":"number","description":"Actual return from last ten years","format":"double"},"actualReturnYearToDay":{"type":"number","description":"Actual return for the last year from today","format":"double"},"actualReturnFromBeginning":{"type":"number","description":"Actual return from beginning","format":"double"}},"additionalProperties":false,"description":"Dialy fund return"},"AnnualReturnResult":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"currency":{"type":"string","description":"Currency of fund","nullable":true},"year":{"type":"integer","description":"Year of annual return of fund","format":"int32"},"return":{"type":"number","description":"Return value","format":"double"},"realReturn":{"type":"number","description":"Real return value","format":"double"}},"additionalProperties":false,"description":"Anuual return return result."}}}}
```

## The FundDetailsResult object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"FundDetailsResult":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"fundName":{"type":"string","description":"Fund name","nullable":true},"fundType":{"type":"string","description":"Type of the fund","nullable":true},"assetClass":{"type":"string","description":"Asset class of the fund","nullable":true},"operationCompany":{"type":"string","description":"Operation company of fund","nullable":true},"investmentManager":{"type":"string","description":"Investment manager","nullable":true},"fundManager":{"type":"string","description":"Fund manager","nullable":true},"settlementPeriod":{"type":"string","description":"Settlement period","nullable":true},"custodian":{"type":"string","description":"Fund custodian","nullable":true},"summaryRiskIndicator":{"type":"string","description":"Indicator of risk summary","nullable":true},"isin":{"type":"string","description":"ISIN","nullable":true},"bloombergTicker":{"type":"string","description":"Bloomberg id","nullable":true},"leiNumber":{"type":"string","description":"LEI number","nullable":true},"inceptionDate":{"type":"string","description":"Inception date","nullable":true},"currency":{"type":"string","description":"Currency of fund","nullable":true},"managementFee":{"type":"string","description":"Management fee","nullable":true},"salesCommission":{"type":"string","description":"Sales commision","nullable":true},"tradingFee":{"type":"string","description":"Trading fee","nullable":true},"tradingDiscount":{"type":"string","description":"Trading discount","nullable":true},"operatingHours":{"type":"string","description":"Operating hours of fund trading","nullable":true},"minimumAmount":{"type":"string","description":"Minimal amount of investment","nullable":true}},"additionalProperties":false}}}}
```

## The FundInfo object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"FundInfo":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"name":{"type":"string","description":"Fund name","nullable":true},"currencyId":{"type":"integer","description":"Currency id of fund","format":"int32"},"daysToSettle":{"type":"integer","description":"Days to settle","format":"int32"},"isDealingPrice":{"type":"boolean","description":"Is dealing price"},"isActivity":{"type":"boolean","description":"Is fund is active"},"price":{"type":"number","description":"Price of fund","format":"double"},"buyPrice":{"type":"number","description":"Buy price of fund","format":"double"},"sellPrice":{"type":"number","description":"Sell price of fund","format":"double"},"minimumAmount":{"type":"number","description":"Minium amount","format":"double"},"minimumAmountCurrency":{"type":"string","description":"Minimum amount in currency","nullable":true},"isOnlineTraded":{"type":"boolean","description":"Is online traded"},"cutoffTime":{"type":"string","description":"Cut off time of fund","nullable":true},"email":{"type":"string","description":"Email","nullable":true},"isShortSpan":{"type":"boolean","description":"Is short span"},"manager":{"type":"string","description":"Manager of fund","nullable":true}},"additionalProperties":false,"description":"Fund information"}}}}
```

## The FundSize object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"FundSize":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"size":{"type":"number","description":"Size of fund","format":"double"},"marketValue":{"type":"number","description":"Martek value of fund","format":"double"},"currency":{"type":"string","description":"Currency of fund","nullable":true},"lastUpdated":{"type":"string","description":"Last update of fund size","format":"date-time"}},"additionalProperties":false,"description":"Fund size"}}}}
```

## The GetFundModel object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"GetFundModel":{"type":"object","properties":{"securityid":{"type":"integer","format":"int32"},"securityName":{"type":"string","nullable":true},"securityCurrencyId":{"type":"integer","format":"int32"},"settlementDays":{"type":"integer","format":"int32"},"dealingPrice":{"type":"boolean"},"activity":{"type":"boolean"},"price":{"type":"number","format":"double"},"priceBuy":{"type":"number","format":"double"},"priceSell":{"type":"number","format":"double"},"nominalDecimalPlaces":{"type":"integer","format":"int32"},"currencyDecimalPlace":{"type":"integer","format":"int32"},"settlementDateBuy":{"type":"string","format":"date-time"},"settlementDateSell":{"type":"string","format":"date-time"},"tradeDateBuy":{"type":"string","format":"date-time"},"tradeDateSell":{"type":"string","format":"date-time"},"minimumAmount":{"type":"number","format":"double"},"minimumAmountCurrency":{"type":"string","nullable":true},"globalDiscount":{"type":"number","format":"double"},"onlineTradingAllowed":{"type":"boolean"},"blockBuyOrders":{"type":"boolean"},"blockSellOrders":{"type":"boolean"},"cutoffTime":{"type":"string","format":"date-time"},"email":{"type":"string","nullable":true},"massTradeFloor":{"type":"number","format":"double"},"massTradeCurrency":{"type":"string","nullable":true},"shortSpanFund":{"type":"boolean"},"discount":{"type":"integer","format":"int32"},"serviceFee":{"type":"boolean"}},"additionalProperties":false}}}}
```

## The GetFundModelListResponse object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"GetFundModelListResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/GetFundModel"},"description":"Payload","nullable":true},"succeeded":{"type":"boolean","description":"Success"},"errors":{"type":"array","items":{"type":"string"},"description":"Error array","nullable":true},"message":{"type":"string","description":"Message","nullable":true}},"additionalProperties":false,"description":"Wrapper response"},"GetFundModel":{"type":"object","properties":{"securityid":{"type":"integer","format":"int32"},"securityName":{"type":"string","nullable":true},"securityCurrencyId":{"type":"integer","format":"int32"},"settlementDays":{"type":"integer","format":"int32"},"dealingPrice":{"type":"boolean"},"activity":{"type":"boolean"},"price":{"type":"number","format":"double"},"priceBuy":{"type":"number","format":"double"},"priceSell":{"type":"number","format":"double"},"nominalDecimalPlaces":{"type":"integer","format":"int32"},"currencyDecimalPlace":{"type":"integer","format":"int32"},"settlementDateBuy":{"type":"string","format":"date-time"},"settlementDateSell":{"type":"string","format":"date-time"},"tradeDateBuy":{"type":"string","format":"date-time"},"tradeDateSell":{"type":"string","format":"date-time"},"minimumAmount":{"type":"number","format":"double"},"minimumAmountCurrency":{"type":"string","nullable":true},"globalDiscount":{"type":"number","format":"double"},"onlineTradingAllowed":{"type":"boolean"},"blockBuyOrders":{"type":"boolean"},"blockSellOrders":{"type":"boolean"},"cutoffTime":{"type":"string","format":"date-time"},"email":{"type":"string","nullable":true},"massTradeFloor":{"type":"number","format":"double"},"massTradeCurrency":{"type":"string","nullable":true},"shortSpanFund":{"type":"boolean"},"discount":{"type":"integer","format":"int32"},"serviceFee":{"type":"boolean"}},"additionalProperties":false}}}}
```

## The HistoricalPrice object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"HistoricalPrice":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"date":{"type":"string","description":"Date of price","format":"date-time"},"price":{"type":"number","description":"Price of fund for date","format":"double"},"priceChangeInPercentage":{"type":"number","description":"Price change in percentage","format":"double"},"purchaseRate":{"type":"number","description":"Price of purchase rate","format":"double","nullable":true},"sellRate":{"type":"number","description":"Price of sell rate","format":"double","nullable":true}},"additionalProperties":false}}}}
```

## The IRpBloombergMappings object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"IRpBloombergMappings":{"type":"object","properties":{"ric":{"type":"string","nullable":true},"bloombergSymbol":{"type":"string","nullable":true},"bloombergEId":{"type":"integer","format":"int32"}},"additionalProperties":false}}}}
```

## The IRpBloombergMappingsIEnumerableResponse object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"IRpBloombergMappingsIEnumerableResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/IRpBloombergMappings"},"description":"Payload","nullable":true},"succeeded":{"type":"boolean","description":"Success"},"errors":{"type":"array","items":{"type":"string"},"description":"Error array","nullable":true},"message":{"type":"string","description":"Message","nullable":true}},"additionalProperties":false,"description":"Wrapper response"},"IRpBloombergMappings":{"type":"object","properties":{"ric":{"type":"string","nullable":true},"bloombergSymbol":{"type":"string","nullable":true},"bloombergEId":{"type":"integer","format":"int32"}},"additionalProperties":false}}}}
```

## The InfoResult object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"InfoResult":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"name":{"type":"string","description":"Fund name","nullable":true},"buyRate":{"type":"number","description":"Buy rate of fund","format":"double"},"sellRate":{"type":"number","description":"Sell rate of fund","format":"double"},"currency":{"type":"string","description":"Currency of fund","nullable":true},"date":{"type":"string","description":"Date of price","format":"date-time"},"priceDifference":{"type":"number","description":"Price change","format":"double"},"summaryRiskIndicator":{"type":"number","description":"Fund summary risk indicator","format":"double"},"fundClassName":{"type":"string","description":"Fund class name","nullable":true},"fundClassId":{"type":"integer","description":"Fund class id","format":"int32"},"isSpecializedInvestmentFund":{"type":"boolean","description":"Is fund specialized investment"},"investmentTime":{"type":"integer","description":"Fund investment time","format":"int32"},"bloombergTicker":{"type":"string","description":"Bloomberg id","nullable":true}},"additionalProperties":false,"description":"Basic info about fund"}}}}
```

## The KodiakForwardContracts object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"KodiakForwardContracts":{"type":"object","properties":{"contracts":{"type":"array","items":{"$ref":"#/components/schemas/Contract"},"nullable":true}},"additionalProperties":false},"Contract":{"type":"object","properties":{"contractId":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"broker":{"type":"string","nullable":true},"dateCreated":{"type":"string","format":"date-time"},"settlementDate":{"type":"string","format":"date-time"},"maturityDate":{"type":"string","format":"date-time"},"tradeDate":{"type":"string","format":"date-time"},"finalInterestDate":{"type":"string","format":"date-time"},"expiryDate":{"type":"string","format":"date-time"},"side":{"type":"string","nullable":true},"currency":{"type":"string","nullable":true},"currencyRate":{"type":"number","format":"double","nullable":true},"symbol":{"type":"string","nullable":true},"quantity":{"type":"number","format":"double","nullable":true},"cleanPrice":{"type":"number","format":"double","nullable":true},"dirtyPrice":{"type":"number","format":"double","nullable":true},"collateralMargin":{"type":"number","format":"double","nullable":true},"signed":{"type":"boolean"},"signedReceipt":{"type":"boolean"},"interests":{"type":"number","format":"double","nullable":true},"interestFee":{"type":"number","format":"double","nullable":true},"openingFee":{"type":"number","format":"double","nullable":true},"executionFee":{"type":"number","format":"double","nullable":true},"transactionFee":{"type":"number","format":"double","nullable":true},"otherFee":{"type":"number","format":"double","nullable":true},"changeOfTermsFee":{"type":"number","format":"double","nullable":true},"closingAmount":{"type":"number","format":"double","nullable":true},"closingCleanPrice":{"type":"number","format":"double","nullable":true},"closingDate":{"type":"string","format":"date-time","nullable":true},"closingDirtyPrice":{"type":"number","format":"double","nullable":true},"closingDirtyPriceInclFee":{"type":"number","format":"double","nullable":true},"closingFee":{"type":"number","format":"double","nullable":true},"closingForwardPayments":{"type":"number","format":"double","nullable":true},"closingInterestAmount":{"type":"number","format":"double","nullable":true},"closingNetValue":{"type":"number","format":"double","nullable":true},"closingPnL":{"type":"number","format":"double","nullable":true},"closingQuantity":{"type":"number","format":"double","nullable":true},"closingSettlementDate":{"type":"string","format":"date-time","nullable":true},"closingTaxAmount":{"type":"number","format":"double","nullable":true},"closingTaxPercentage":{"type":"number","format":"double","nullable":true},"pnl":{"type":"number","format":"double","nullable":true},"startPrice":{"type":"number","format":"double","nullable":true},"currentPrice":{"type":"number","format":"double","nullable":true},"loanObligation":{"type":"number","format":"double","nullable":true},"shareObligation":{"type":"number","format":"double","nullable":true},"contractAmount":{"type":"number","format":"double","nullable":true},"forwardPrice":{"type":"number","format":"double","nullable":true},"interestAmount":{"type":"number","format":"double","nullable":true},"isBond":{"type":"boolean"},"lastDirtyPrice":{"type":"number","format":"double","nullable":true},"lastCleanPrice":{"type":"number","format":"double","nullable":true},"calculatedExecutionFee":{"type":"number","format":"double","nullable":true,"readOnly":true},"calculatedInterestFeeBpsInPercentage":{"type":"number","format":"double","nullable":true,"readOnly":true}},"additionalProperties":false}}}}
```

## The MarketData object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"MarketData":{"type":"object","properties":{"instrumentCode":{"type":"string","nullable":true},"ask":{"type":"number","format":"double","nullable":true},"bid":{"type":"number","format":"double","nullable":true},"lastPrice":{"type":"number","format":"double","nullable":true},"time":{"type":"string","format":"date-time","nullable":true},"lastUpdate":{"type":"string","format":"date-time"},"nuM_TRADES_RT":{"type":"number","format":"double","nullable":true},"volume":{"type":"number","format":"double","nullable":true},"high":{"type":"number","format":"double","nullable":true},"low":{"type":"number","format":"double","nullable":true},"open":{"type":"number","format":"double","nullable":true},"turnoveR_TODAY_REALTIME":{"type":"number","format":"double"}},"additionalProperties":false}}}}
```

## The MarketDataIEnumerableResponse object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"MarketDataIEnumerableResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/MarketData"},"description":"Payload","nullable":true},"succeeded":{"type":"boolean","description":"Success"},"errors":{"type":"array","items":{"type":"string"},"description":"Error array","nullable":true},"message":{"type":"string","description":"Message","nullable":true}},"additionalProperties":false,"description":"Wrapper response"},"MarketData":{"type":"object","properties":{"instrumentCode":{"type":"string","nullable":true},"ask":{"type":"number","format":"double","nullable":true},"bid":{"type":"number","format":"double","nullable":true},"lastPrice":{"type":"number","format":"double","nullable":true},"time":{"type":"string","format":"date-time","nullable":true},"lastUpdate":{"type":"string","format":"date-time"},"nuM_TRADES_RT":{"type":"number","format":"double","nullable":true},"volume":{"type":"number","format":"double","nullable":true},"high":{"type":"number","format":"double","nullable":true},"low":{"type":"number","format":"double","nullable":true},"open":{"type":"number","format":"double","nullable":true},"turnoveR_TODAY_REALTIME":{"type":"number","format":"double"}},"additionalProperties":false}}}}
```

## The MarketDataResponse object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"MarketDataResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/MarketData"},"succeeded":{"type":"boolean","description":"Success"},"errors":{"type":"array","items":{"type":"string"},"description":"Error array","nullable":true},"message":{"type":"string","description":"Message","nullable":true}},"additionalProperties":false,"description":"Wrapper response"},"MarketData":{"type":"object","properties":{"instrumentCode":{"type":"string","nullable":true},"ask":{"type":"number","format":"double","nullable":true},"bid":{"type":"number","format":"double","nullable":true},"lastPrice":{"type":"number","format":"double","nullable":true},"time":{"type":"string","format":"date-time","nullable":true},"lastUpdate":{"type":"string","format":"date-time"},"nuM_TRADES_RT":{"type":"number","format":"double","nullable":true},"volume":{"type":"number","format":"double","nullable":true},"high":{"type":"number","format":"double","nullable":true},"low":{"type":"number","format":"double","nullable":true},"open":{"type":"number","format":"double","nullable":true},"turnoveR_TODAY_REALTIME":{"type":"number","format":"double"}},"additionalProperties":false}}}}
```

## The PopularFundResult object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"PopularFundResult":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"order":{"type":"integer","description":"Order of popular fund. Higher equals more popular","format":"int32"}},"additionalProperties":false}}}}
```

## The PortfolioModel object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"PortfolioModel":{"type":"object","properties":{"portfolioid":{"type":"integer","format":"int32"},"portfolioName":{"type":"string","nullable":true},"currencyid":{"type":"integer","format":"int32"},"customerid":{"type":"integer","format":"int32"},"customerSsn":{"type":"string","nullable":true},"portfolioType":{"type":"string","nullable":true},"pledgeFull":{"type":"boolean"},"rbAccountNumberIsk":{"type":"string","nullable":true},"ownerSsnIsk":{"type":"string","nullable":true},"rbAccountNumberEur":{"type":"string","nullable":true},"ownerSsnEur":{"type":"string","nullable":true},"rbAccountNumberGbp":{"type":"string","nullable":true},"ownerSsnGbp":{"type":"string","nullable":true},"rbAccountNumberUsd":{"type":"string","nullable":true},"ownerSsnUsd":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## The PortfolioModelListResponse object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"PortfolioModelListResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/PortfolioModel"},"description":"Payload","nullable":true},"succeeded":{"type":"boolean","description":"Success"},"errors":{"type":"array","items":{"type":"string"},"description":"Error array","nullable":true},"message":{"type":"string","description":"Message","nullable":true}},"additionalProperties":false,"description":"Wrapper response"},"PortfolioModel":{"type":"object","properties":{"portfolioid":{"type":"integer","format":"int32"},"portfolioName":{"type":"string","nullable":true},"currencyid":{"type":"integer","format":"int32"},"customerid":{"type":"integer","format":"int32"},"customerSsn":{"type":"string","nullable":true},"portfolioType":{"type":"string","nullable":true},"pledgeFull":{"type":"boolean"},"rbAccountNumberIsk":{"type":"string","nullable":true},"ownerSsnIsk":{"type":"string","nullable":true},"rbAccountNumberEur":{"type":"string","nullable":true},"ownerSsnEur":{"type":"string","nullable":true},"rbAccountNumberGbp":{"type":"string","nullable":true},"ownerSsnGbp":{"type":"string","nullable":true},"rbAccountNumberUsd":{"type":"string","nullable":true},"ownerSsnUsd":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## The Position object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"Position":{"type":"object","properties":{"ratioOfFundAsset":{"type":"number","description":"Ratio of fund asset","format":"double"},"amountTotalIsk":{"type":"number","description":"Total amount in ISK","format":"double"},"positionName":{"type":"string","description":"Position name","nullable":true},"calculateDate":{"type":"string","description":"Calculate date","format":"date-time"}},"additionalProperties":false}}}}
```

## The PositionModel object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"PositionModel":{"type":"object","properties":{"portfolioid":{"type":"integer","format":"int32"},"securityid":{"type":"integer","format":"int32"},"nominalValue":{"type":"number","format":"double"},"marketValue":{"type":"number","format":"double"},"pledgeAmount":{"type":"number","format":"double"},"nominalValuePending":{"type":"number","format":"double"},"marketValuePending":{"type":"number","format":"double"},"marketValuePendingToday":{"type":"number","format":"double"}},"additionalProperties":false}}}}
```

## The PositionModelListResponse object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"PositionModelListResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/PositionModel"},"description":"Payload","nullable":true},"succeeded":{"type":"boolean","description":"Success"},"errors":{"type":"array","items":{"type":"string"},"description":"Error array","nullable":true},"message":{"type":"string","description":"Message","nullable":true}},"additionalProperties":false,"description":"Wrapper response"},"PositionModel":{"type":"object","properties":{"portfolioid":{"type":"integer","format":"int32"},"securityid":{"type":"integer","format":"int32"},"nominalValue":{"type":"number","format":"double"},"marketValue":{"type":"number","format":"double"},"pledgeAmount":{"type":"number","format":"double"},"nominalValuePending":{"type":"number","format":"double"},"marketValuePending":{"type":"number","format":"double"},"marketValuePendingToday":{"type":"number","format":"double"}},"additionalProperties":false}}}}
```

## The PriceResult object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"PriceResult":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"bloombergTicker":{"type":"string","description":"Bloomberg id","nullable":true},"name":{"type":"string","description":"Name of fund","nullable":true},"purchaseRate":{"type":"number","description":"Purches rate of fund","format":"double"},"sellRate":{"type":"number","description":"Sell rate of fund","format":"double","nullable":true},"currency":{"type":"string","description":"Currency of fund","nullable":true},"date":{"type":"string","description":"Price date","format":"date-time"},"currencyRateBuy":{"type":"number","description":"Currency of buy rate","format":"double"},"currencyRateSell":{"type":"number","description":"Currency of sell rate","format":"double","nullable":true},"exchangeRateCurrency":{"type":"number","description":"Value of exchange rate in currency","format":"double"}},"additionalProperties":false,"description":"Fund price"}}}}
```

## The ProblemDetails object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## The ReturnByDatesResult object

```json
{"openapi":"3.0.1","info":{"title":"FinancialMarketsAPI","version":"v1"},"components":{"schemas":{"ReturnByDatesResult":{"type":"object","properties":{"fundId":{"type":"integer","description":"Fund id","format":"int32"},"dateFrom":{"type":"string","description":"Lower date to calculate the difference","format":"date-time"},"rateFrom":{"type":"number","description":"Rate of fund of dateFrom date","format":"double"},"dateTo":{"type":"string","description":"Upper date to calculate the difference","format":"date-time"},"rateTo":{"type":"number","description":"Rate of fund of dateTo date","format":"double"},"diff":{"type":"number","description":"Diffrence between rateFrom and rateTo","format":"double"},"realReturn":{"type":"number","description":"Real return of fund","format":"double"}},"additionalProperties":false}}}}
```
